> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.latitude.xyz/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.latitude.xyz/_mcp/server.

# Create a Transfer

POST https://api.latitude.xyz/v1/transfers
Content-Type: application/json

Creates a new transfer with the provided details or from a quote

Reference: https://docs.latitude.xyz/api-reference/transfers/post-v-1-transfers

## Request

### Body (application/json)

This endpoint expects a postV1Transfers.

- `source_currency` (enum, required) — Currency code of the source amount (e.g., USD)
  - Allowed values: `USD`, `USDC`, `PHP`
- `destination_currency` (enum, required) — Currency code of the destination amount (e.g., EUR)
  - Allowed values: `MXN`, `COP`, `BRL`, `ARS`, `INR`, `VND`, `PHP`, `EUR`, `GBP`, `SGD`, `USDC`, `AED`
- `payout_method` (enum, required) — Method of payout (e.g., ach, pix, spei, wire)
  - Allowed values: `ach`, `ach_co`, `base`, `bitso`, `bre_b`, `cbu_cvu`, `ethereum`, `faster_payments`, `fed_now`, `instapay`, `internal`, `internal_pull`, `local`, `pesonet`, `pix`, `polygon`, `rtp`, `sepa_instant`, `solana`, `spei`, `uaefts`, `wire`, `upi`
- `quote_id` (string, optional) — Quote ID to create transfer from (alternative to providing all fields)
- `source_type` (enum, optional, default: prefunded) — Type of source account
  - Allowed values: `prefunded`, `deposit`
- `client_reference_id` (string, optional) — Your unique identifier for this transfer. Use this to correlate transfers with records in your own system. Maximum 64 characters.
- `source_amount` (string, optional) — Amount to send in source currency (in smallest currency unit)
- `destination_amount` (string, optional) — Desired amount to receive in destination currency (in smallest currency unit)
- `net_source_amount` (string, optional) — The net amount after fees (fees will be added on top)
- `financial_account` (PostV1TransfersFinancialAccount, optional) — Financial account to receive the transfer
- `source_network` (enum, optional) — Blockchain network of the source currency (e.g., base)
  - Allowed values: `ethereum`, `solana`, `base`, `polygon`

## Response

### 201

Create a Transfer

- `id` (string, required) — Unique identifier for the transfer
- `client_reference_id` (string, required) — Reference ID for the transfer
- `source_amount` (string, required) — Amount of the source currency
- `source_currency` (enum, required) — Currency of the source amount
  - Allowed values: `USD`, `USDC`, `PHP`
- `destination_amount` (string, required) — Amount of the destination currency
- `destination_currency` (enum, required) — Currency of the destination amount
  - Allowed values: `MXN`, `COP`, `BRL`, `ARS`, `INR`, `VND`, `PHP`, `EUR`, `GBP`, `SGD`, `USDC`, `AED`
- `exchange_rate` (string, required) — Exchange rate for the transfer
- `recipient_id` (string, required) — Unique identifier for the recipient
- `financial_account_id` (string, required) — Unique identifier for the financial account
- `payout_method` (enum, required) — Method of payout
  - Allowed values: `ach`, `ach_co`, `base`, `bitso`, `bre_b`, `cbu_cvu`, `ethereum`, `faster_payments`, `fed_now`, `instapay`, `internal`, `internal_pull`, `local`, `pesonet`, `pix`, `polygon`, `rtp`, `sepa_instant`, `solana`, `spei`, `uaefts`, `wire`, `upi`
- `status` (enum, required) — Current status of the transfer
  - Allowed values: `pending`, `awaiting_funds`, `started`, `completed`, `cancelled`, `failed`, `expired`, `under_review`
- `total_fee` (string, required) — Total fee for the transfer
- `fee_currency` (string, required) — Currency of the total fee
- `total_tax` (string, required) — Total tax for the transfer
- `tax_currency` (string, required) — Currency of the total tax
- `net_source_amount` (string, required) — Net amount of the source currency after fees
- `completed_in` (string, required) — Time taken to complete the transfer in seconds
- `created_at` (string, required) — ISO8601 timestamp when the transfer was created
- `updated_at` (string, required) — ISO8601 timestamp when the transfer was last updated
- `failure_reason` (string, required) — Reason for the transfer failure
- `settlement_reference_id` (string, required) — Reference ID for the settlement
- `deposit_instructions` (API_V1_Serializers_DepositInstructions, optional) — Present when the transfer is awaiting funding.

## Types

### PostV1TransfersFinancialAccount

Financial account to receive the transfer

- `id` (string, required) — The public ID of an existing financial account

### API_V1_Serializers_DepositInstructions

- `type` (enum, required) — Discriminator identifying the kind of deposit instructions
  - Allowed values: `ae_bank_account`, `crypto_wallet`, `eu_bank_account`, `gb_bank_account`, `mx_virtual_account`, `ph_qr_code`, `us_bank_account`
- `currency` (string, required) — Lowercase ISO 4217 currency code of the expected deposit
- `payment_methods` (list of any, required) — Payment rails the end user can use to deposit into these instructions
- `details` (ApiV1SerializersDepositInstructionsDetails, required) — Variant-specific details (e.g. CLABE, QR payload, blockchain address)
- `deadline` (string, optional) — ISO 8601 deadline by which funds must be received (time-bound variants only)

### ApiV1SerializersDepositInstructionsDetails

Variant-specific details (e.g. CLABE, QR payload, blockchain address)

## Examples

**Request**

```json
{
  "source_currency": "USD",
  "destination_currency": "MXN",
  "payout_method": "ach"
}
```

**Response**

```json
{
  "id": "string",
  "client_reference_id": "string",
  "source_amount": "string",
  "source_currency": "USD",
  "destination_amount": "string",
  "destination_currency": "MXN",
  "exchange_rate": "string",
  "recipient_id": "string",
  "financial_account_id": "string",
  "payout_method": "ach",
  "status": "pending",
  "total_fee": "string",
  "fee_currency": "string",
  "total_tax": "string",
  "tax_currency": "string",
  "net_source_amount": "string",
  "completed_in": "string",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "failure_reason": "string",
  "settlement_reference_id": "string",
  "deposit_instructions": {
    "type": "ae_bank_account",
    "currency": "string",
    "payment_methods": [
      null
    ],
    "details": {},
    "deadline": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.latitude.xyz/v1/transfers"

payload = {
    "source_currency": "USD",
    "destination_currency": "MXN",
    "payout_method": "ach"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.latitude.xyz/v1/transfers';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"source_currency":"USD","destination_currency":"MXN","payout_method":"ach"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.latitude.xyz/v1/transfers"

	payload := strings.NewReader("{\n  \"source_currency\": \"USD\",\n  \"destination_currency\": \"MXN\",\n  \"payout_method\": \"ach\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.latitude.xyz/v1/transfers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source_currency\": \"USD\",\n  \"destination_currency\": \"MXN\",\n  \"payout_method\": \"ach\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.latitude.xyz/v1/transfers")
  .header("Content-Type", "application/json")
  .body("{\n  \"source_currency\": \"USD\",\n  \"destination_currency\": \"MXN\",\n  \"payout_method\": \"ach\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.latitude.xyz/v1/transfers', [
  'body' => '{
  "source_currency": "USD",
  "destination_currency": "MXN",
  "payout_method": "ach"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.latitude.xyz/v1/transfers");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source_currency\": \"USD\",\n  \"destination_currency\": \"MXN\",\n  \"payout_method\": \"ach\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "source_currency": "USD",
  "destination_currency": "MXN",
  "payout_method": "ach"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.latitude.xyz/v1/transfers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```